Skip to main content
POST
/
upload
/
url
Upload from URL (async)
curl --request POST \
  --url https://media.postflow.app/api/v1/upload/url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_url": "<string>"
}
'
{
  "media_id": "<string>",
  "status_url": "<string>"
}
This endpoint uses a different base URL:https://media.postflow.app/api/v1

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
file_url
string<uri>
required

URL of the file to download and upload.

callback_url
string<uri> | null

Optional webhook URL. When processing is done, POST request is sent to this URL with a JSON body:

  • media_id — string
  • statuscompleted or failed
  • error — string, only present when status is failed

Response

Upload accepted and queued for processing

media_id
string
required

The ID of the media being processed.

status_url
string<uri>
required

URL to poll for upload status.